dbXML API

## com.dbxml.db.common.scripting
Class JavaScriptExtension

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.core.extension.SimpleExtension
              com.dbxml.db.common.scripting.ScriptExtension
                  com.dbxml.db.common.scripting.JavaScriptExtension

All Implemented Interfaces:
  Configurable, Extension

public final class JavaScriptExtension
extends ScriptExtension

JavaScriptExtension is an experimental Extension for executing JavaScript with the Mozilla Rhino interpreter.

Field Summary

Fields inherited from class com.dbxml.db.common.scripting.ScriptExtension
`PARAMS_execute`

Constructor Summary
`JavaScriptExtension()`

Method Summary
`com.dbxml.labrador.types.Variant` `execute(java.util.Map args)` execute must be implemented by a script-interpreting Extension.

Methods inherited from class com.dbxml.db.common.scripting.ScriptExtension
`setConfig`

Methods inherited from class com.dbxml.db.core.extension.SimpleExtension
`getCollection, getName, setCollection`

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig`

Constructor Detail

### JavaScriptExtension

    public JavaScriptExtension()

Method Detail

### execute

    public com.dbxml.labrador.types.Variant execute(java.util.Map args)

  Description copied from class: `ScriptExtension`
  execute must be implemented by a script-interpreting Extension.

  Specified by:
    `execute` in class `ScriptExtension`
  Parameters:
    `args` - Free-form argument list
  Returns:
    The result of the script

dbXML API

Copyright (c) 2004 The dbXML Group